# 图类型定义(Deprecated)

## 数据结构

### 图类型表（dt\_define\_graph）

|      字段       |      字段说明      |   数据类型   | 是否非空 |               备注                |
| :-------------: | :----------------: | :----------: | -------- | :-------------------------------: |
|       id        | 主键（无业务含义） | varchar(40)  | Y        |  id全局唯一，命名规则：32位UUID   |
|      code       |        编码        | varchar(40)  |          |                                   |
|      name       |        名称        | varchar(200) |          |                                   |
| first_category  |      一级分类      | varchar(40)  |          |                                   |
| second_category |      二级分类      | varchar(40)  |          |                                   |
|     remark      |      分类说明      | varchar(255) |          |                                   |
|  object_types   |  关系两侧对象类别  | varchar(255) |          |                                   |
|     creator     |      创建人员      | varchar(32)  |          |           创建的用户id            |
|  creation_time  |      创建时间      |   char(14)   |          |       格式为yyyyMMddHHmmss        |
|  modified_time  |    最后更新时间    |   char(14)   |          | 最后更新时间,格式为yyyyMMddHHmmss |
|    modifier     |    最后更新人员    | varchar(32)  |          |         最后更新的用户id          |
|      valid      |      合法标识      |  tinyint(4)  |          |           0-无效,1-有效           |
|       ts        |       乐观锁       |  timestamp   | Y        |                                   |



## 系统接口

> #### （注：condition 为 query，create，update，delete）
>
> #### （注：为了读写分离，serviceid还会变动，请不要写死）
>
> #### （注：userId、groupCode、projectId必须传值，appId可以为空）
>
> #### 请求方法：POST

### 查询（请参考[通用查询](/utils/query.md)）

### 字典类型

请求路径：/rwd/def/graph/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数

```json
查询字段：
{
  "id": "dev_1",
  "code": "PG",
  "name": "major",
  "firstCategory": "一级分类",
  "secondCategory": "二级分类",
  "remark": "分类说明",
  "objectTypes": "关系两侧对象类别",
  "creator": "wdl",
  "creationTime": "20210813000000",
  "modifier": "wdl",
  "modifiedTime": "20210813000000",
  "valid":1
}
新增：
{
  "code": "major",//非空
  "name": "专业",//非空
  "firstCategory": "Testing",
  "secondCategory": "Testing",
  "remark":"**",
  "objectTypes":"**"  
}
更新：
{
  "id": "dev_1",//非空
  "type": "major",
  "name": "专业",
  "description": "Testing",
  "remark": "Testing"
}
删除：
{
  "id": ""
}
```



## DDL语句

### 图类型表

```sql
CREATE TABLE  IF NOT EXISTS `dt_define_graph` (
  `id` varchar(40) NOT NULL,
  `code` varchar(40) DEFAULT NULL COMMENT '编码',
  `name` varchar(200) DEFAULT NULL COMMENT '名称',
  `first_category` varchar(40) DEFAULT NULL COMMENT '一级分类',
  `second_category` varchar(40) DEFAULT NULL COMMENT '二级分类',
  `remark` varchar(255) DEFAULT NULL COMMENT '分类说明',
  `object_types` varchar(255) DEFAULT NULL COMMENT '关系两侧对象类别',
  `creator` varchar(32) DEFAULT NULL COMMENT '创建人',
  `creation_time` char(14) DEFAULT NULL COMMENT '创建时间',
  `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人',
  `modified_time` char(14) DEFAULT NULL COMMENT '最后修改时间',
  `valid` tinyint(4) DEFAULT NULL COMMENT '合法标识',
  `ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '乐观锁',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_code` (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='图类型表';
```

